<?php
define('MTOP', 1);
$title = 'Массовая рассылка сообщений';
require_once('../system/connect.php');
require_once('../system/core.php');
require_once('../system/function.php');
level(3);
require_once('../head.php');
echo '<div class="title3">Массовая рассылка сообщений</div>';
$rassilka = '<form action="mail.php?act=send" method="post">
<div class="title">Тема сообщения:<br/>
<input type="text" name="tema" class="input" /><br/>
Текст сообщения:<br/>
<textarea name="text" cols="38" rows="8"></textarea><br/>
<input name="ok" type="submit" value="Отправить" /></div></form>';
if(!isset($_POST['ok'])) echo $rassilka;
else{
$tema = filter($_POST['tema']);
$text = filter($_POST['text']);
$error = '';
if(empty($tema) OR empty($text))
$error .= '<div class="error">Не заполнено одно или несколько полей</div>';
else{
if(mb_strlen($tema) < 5)
$error .= '<div class="error">Тема сообщения должна быть не короче 5 символов</div>';
if(mb_strlen($text) < 10)
$error .= '<div class="error">Текст сообщения должен быть не короче 10 символов</div>';
}
if(!empty($error)){
echo $error;
echo $rassilka;
}
else{
$headers .= "From: ".$set['mail']." \n";
$headers .= "Content-Type: text/plain; charset=utf-8\n";
$mails = mysql_query("SELECT DISTINCT `mail` FROM `users` WHERE `mail` <> ''");
if(mysql_num_rows($mails) > 0){
while($row = mysql_fetch_array($mails))
mail($row['mail'], $tema, $text, $headers);
echo '<div class="title"><center>Ваше сообщение успешно отправлено '.mysql_num_rows($mails).' пользователям</center></div>';
}
else{
echo '<div class="title"><center>Нет пользователей</center></div>';
}
}
}

require_once('../foot.php');
?>